Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.index
Class FTFuzzyBuilder

    java.lang.Object
      org.basex.core.Progress
          org.basex.index.FTFuzzyBuilder

All Implemented Interfaces:
  IndexBuilder

    public final class FTFuzzyBuilder

extends Progress
implements IndexBuilder

This class builds an index for text contents, optimized for fuzzy search, in an ordered table.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Sebastian Gath, Christian Gruen

Constructor Summary
`FTFuzzyBuilder()`

Method Summary
`FTFuzzy` | `build(Data data)` Builds the index structure and returns an index instance.
`java.lang.String` | `det()` Returns short information on this process.
`double` | `prog()` Returns progress information.
`java.lang.String` | `tit()` Returns short information on this process.

Methods inherited from class org.basex.core.Progress
`checkStop, detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTFuzzyBuilder

    public FTFuzzyBuilder()

Method Detail

### build

    public FTFuzzy build(Data data)
                  throws java.io.IOException

  Builds the index structure and returns an index instance. The building process is divided in 2 steps: a) fill DataOutput(db, f + 'x') looks like: [l, p] ... where l is the length of a token an p the pointer of the first token with length l; there's an entry for each token length [byte, int] fill DataOutput(db, f + 'y') looks like: [t0, t1, ... tl, z, s] ... where t0, t1, ... tl are the byte values of the token (byte[l]); z is the pointer on the data entries of the token (int) and s is the number of pre values, saved in data (int) b) fill DataOutput(db, f + 'z') looks like: [pre0, ..., pres, pos0, pos1, ..., poss] where pre and pos are the ft data [int[]]

  Specified by:
    `build` in interface `IndexBuilder`
  Parameters:
    `data` - data reference
  Returns:
    index instance
  Throws:
    `java.io.IOException` - IO Exception

### tit

    public java.lang.String tit()

  Description copied from class: `Progress`
  Returns short information on this process. Can be overwritten to give more detailed information.

  Returns:
    header information

### det

    public java.lang.String det()

  Description copied from class: `Progress`
  Returns short information on this process.

  Overrides:
    `det` in class `Progress`
  Returns:
    header information

### prog

    public double prog()

  Description copied from class: `Progress`
  Returns progress information. Can be overwritten to give more detailed information.

  Overrides:
    `prog` in class `Progress`
  Returns:
    header information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD